// App
// -----------------------------------------------------------------------------
import { InterfaceWithIdNameDescription } from 'types/default';
import { GenericDashboardUiStore } from 'stores/GenericDashboardUiStore';

export class GenericGroupsDashboardUiStore extends GenericDashboardUiStore<InterfaceWithIdNameDescription> {
  constructor() {
    super();
    this.override();
  }

  makeNewElement = (): InterfaceWithIdNameDescription => ({
    // Поля редактируемые в форме
    name: '',
    description: '',

    // Поля НЕ редактируемые в форме
    id: -1,
  });
}
